## ros-indigo-rqt-rotors 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_rotors)

find_package(mavros_msgs QUIET)

if (mavros_msgs_DIR)
  message(STATUS "Found mavros_msgs, building ${PROJECT_NAME}.")
else ()
  message(STATUS "mavros_msgs not found, skipping ${PROJECT_NAME} package.")

  # We still have to call catkin package for this to be a valid package,
  # even if empty.
  find_package(catkin REQUIRED)
  catkin_package()
  return()
endif ()

find_package(catkin REQUIRED COMPONENTS
  mavros_msgs
  rospy
  rqt_gui
  rqt_gui_py
)

catkin_package(
  INCLUDE_DIRS
  LIBRARIES
  CATKIN_DEPENDS mavros_msgs rospy rqt_gui rqt_gui_py
  DEPENDS
)
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/hil_plugin
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rqt-rotors (2.2.3-0trusty) trusty; urgency=high



 -- Pavel Vechersky <pavelv@student.ethz.ch>  Wed, 12 Dec 2018 23:00:00 -0000

ros-indigo-rqt-rotors (2.2.2-0trusty) trusty; urgency=high



 -- Pavel Vechersky <pavelv@student.ethz.ch>  Tue, 11 Dec 2018 23:00:00 -0000

ros-indigo-rqt-rotors (2.2.0-0trusty) trusty; urgency=high

  * switch to package format 2
  * Merge pull request #411 <https://github.com/ethz-asl/rotors_simulator/issues/411> from ethz-asl/fix/hil_gui_element_access
    Fixing GUI element access in rqt_rotors
  * Fixing GUI element access in rqt_rotors
  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Merge pull request #398 <https://github.com/ethz-asl/rotors_simulator/issues/398> from ethz-asl/fix/rqt_rotors
    Skip RQT rotors if mavros not found.
  * Skip RQT rotors if mavros not found.
  * Contributors: Fadri Furrer, Helen Oleynikova, Mina Kamel, Pavel Vechersky, pvechersky

 -- Pavel Vechersky <pavelv@student.ethz.ch>  Sun, 09 Dec 2018 23:00:00 -0000

ros-indigo-rqt-rotors (2.1.1-0trusty) trusty; urgency=high

  * Update maintainers.
  * Contributors: Timo Hinzmann

 -- Pavel Vechersky <pavelv@student.ethz.ch>  Wed, 26 Apr 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rqt-rotors
Section: misc
Priority: extra
Maintainer: Pavel Vechersky <pavelv@student.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-mavros-msgs, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-indigo-rqt-rotors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-mavros-msgs, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Description: The rqt_rotors package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rqt-rotors//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
